Summary: 	Dynamic Kernel Module Support Framework
Name: 		dkms
Version: 	2.0.19
URL:		http://linux.dell.com/dkms
Release: 	%mkrel 31
License: 	GPL
Group:  	System/Base
BuildArch: 	noarch
Requires:	kernel-devel
Suggests:	kernel-devel-latest
Requires:	%{name}-minimal = %{version}-%{release}
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires:	patch
Source:		http://linux.dell.com/dkms/%{name}-%{version}.tar.gz
Source1:	template-dkms-mkrpm.spec
Source2:	dkms.depmod.conf
Source3:	autoload.awk
Patch1:		dkms-2.0.19-norpm.patch
Patch2:		dkms-2.0.19-mgaify.patch
Patch3:		dkms-fix-kernel-make-prepare.patch
Patch4:		dkms-2.0.17.6-compressed-module.patch
Patch5:		dkms-2.0.19-weak_module_name.patch
Patch7:		dkms-2.0.19-procconfig.patch
Patch8:		dkms-2.0.19-mdkrpm-split-ver-rel.patch
Patch9:		dkms-2.0.19-bash-completion-update.patch
Patch10:	dkms-2.0.19-binary_only.patch
Patch11:	dkms-2.0.17.5-min-max-kernel.patch
Patch12:	dkms-2.0.17.6-test-dkms.conf-existence.patch
Patch13:	dkms-2.0.17.6-status_default.patch
Patch14:	dkms-2.0.17.6-stdout.patch
Patch15:	dkms-2.0.19-no_custom_rpm_provides.patch
Patch16:	dkms-2.0.19-binary.patch
Patch17:	dkms-2.0.19-autoalias.patch
Patch18:	dkms-2.0.19-mkrpm_status.patch
Patch19:	dkms-2.0.19-skip-unused-check.patch
Patch20:	dkms-2.0.19-uninstall-speedup.patch
Patch21:	dkms-2.0.19-init-mdv-interactive.patch
Patch22:	dkms-symvers.patch
Patch23:	dkms-2.0.19-autoload_instead_of_udevadm.patch
Patch24:	dkms-2.0.19-suggest-devel-not-source.patch
Patch25:	dkms-2.0.19-xz-support.patch

%define _dkmsdir %{_localstatedir}/lib/%{name}
%define _dkmsbinarydir %{_localstatedir}/lib/%{name}-binary

%description
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for building binary kernel
modules with dkms source packages installed

%package minimal
Summary: 	Dynamic Kernel Module Support Framework - minimal package
License: 	GPL
Group: 		System/Base
Requires:	lsb-release
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description minimal
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for installing binary module RPMS
as created by dkms.

%prep
%setup -q
%patch1 -p1 -b .norpm
%patch2 -p1 -b .mdkize
%patch3 -p1 -b .fix-kernel-make-prepare
%patch4 -p1 -b .compressed-module
%patch5 -p1 -b .weak_module_name
%patch7 -p1 -b .procconfig
%patch8 -p1 -b .mdkrpm-split-ver-rel
%patch9 -p1 -b .bash-completion-update
%patch10 -p1 -b .binary_only
%patch11 -p1 -b .min-max-kernel
%patch12 -p1 -b .test-dkmsconf
%patch13 -p1 -b .status_default
%patch14 -p1 -b .stdout
%patch15 -p1 -b .no_custom_rpm_provides
%patch16 -p1 -b .binary
%patch17 -p0 -b .autoalias
%patch18 -p1 -b .mkrpm
%patch19 -p1 -b .versionsanity
%patch20 -p1 -b .uninst-speedup
%patch21 -p1 -b .mdv-interactive
%patch22 -p1 -b .symvers
%patch23 -p1 -b .autoload_instead_of_udevadm
%patch24 -p1 -b .suggest-devel
%patch25 -p1 -b .xz-support

sed -i -e 's,/var/%{name},%{_dkmsdir},g;s,init.d/dkms_autoinstaller,init.d/%{name},g' \
  dkms_autoinstaller \
  dkms_framework.conf \
  kernel_*.d_dkms \
  %{name}.8 \
  dkms

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall_std INITD=%{buildroot}%{_initrddir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/
install -m 755 dkms_mkkerneldoth %{buildroot}/%{_sbindir}/dkms_mkkerneldoth
install -m 755 %{SOURCE3} %{buildroot}/%{_sbindir}/dkms_autoload
mv %{buildroot}%{_initrddir}/dkms_autoinstaller %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_dkmsbinarydir}
mkdir -p %{buildroot}%{_sysconfdir}/depmod.d
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/depmod.d/%{name}.conf

%triggerpostun -- dkms < 2.0.19-11
rm -f /etc/rc.d/*/{K,S}??dkms

%clean 
rm -rf %{buildroot}

%files
%doc %attr (-,root,root) sample.spec sample.conf AUTHORS COPYING template-dkms-mkrpm.spec 
%{_sbindir}/dkms_autoinstaller

%files minimal
%{_sbindir}/dkms
%{_dkmsdir}
%dir %{_dkmsbinarydir}
%{_sbindir}/dkms_mkkerneldoth
%{_sbindir}/dkms_autoload
%{_mandir}/man8/dkms.8*
%config(noreplace) %{_sysconfdir}/dkms
# these dirs are for plugins - owned by other packages
%{_sysconfdir}/kernel/postinst.d/%{name}
%{_sysconfdir}/kernel/prerm.d/%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%{_sysconfdir}/depmod.d/%{name}.conf


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.0.19-31.mga4
+ Revision: 503893
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.19-30.mga3
+ Revision: 348832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 16 2012 anssi <anssi> 2.0.19-29.mga2
+ Revision: 223658
- fix udevadm output ordering assumptions in dkms_autoload (was causing at
  least nouveau inadvertently being loaded after nvidia-current build on
  one system)

* Thu Mar 01 2012 tmb <tmb> 2.0.19-28.mga2
+ Revision: 216457
- fix xz call to force overwrite of output file and (de)compress links (like gzip)

* Thu Mar 01 2012 tmb <tmb> 2.0.19-27.mga2
+ Revision: 216453
- add xz support (P25)

* Sun Dec 25 2011 tmb <tmb> 2.0.19-26.mga2
+ Revision: 187518
- fix kernel flavours to match what we actually ship
- drop buildroot and defattr
- make sure we always warn about missing -devel files, not source

* Sun Nov 27 2011 pterjan <pterjan> 2.0.19-25.mga2
+ Revision: 172472
- Do not create Module.symvers in / when a module has no built_module_location (#3418)

* Tue May 10 2011 tmb <tmb> 2.0.19-24.mga1
+ Revision: 97079
- make error message point out missing kernel-devel files, not kernel-source

* Sun Apr 17 2011 anssi <anssi> 2.0.19-23.mga1
+ Revision: 87221
- use display_driver_helper for loading display modules

* Sat Jan 22 2011 ahmad <ahmad> 2.0.19-22.mga1
+ Revision: 33288
- regenerate patch2
- remove wrongly inserted line (thanks, Anssi)
- adapt the package to Mageia
- imported package dkms


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.19-21mdv2011.0
+ Revision: 604795
- rebuild

* Wed May 05 2010 Anssi Hannula <anssi@mandriva.org> 2.0.19-20mdv2010.1
+ Revision: 542499
- allow autoload of display drivers (the unwanted drivers are no
   blacklisted)

* Tue May 04 2010 Olivier Blin <oblin@mandriva.com> 2.0.19-19mdv2010.1
+ Revision: 542039
- make sure dkms_autoload is called on i586 too

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.19-18mdv2010.1
+ Revision: 520087
- rebuilt for 2010.1

* Wed Sep 23 2009 Olivier Blin <oblin@mandriva.com> 2.0.19-17mdv2010.0
+ Revision: 447745
- make -latest package require exact version-release of binary package, to force update if kernel version did not change

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.19-16mdv2010.0
+ Revision: 413359
- rebuild

* Mon Mar 16 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.0.19-15mdv2009.1
+ Revision: 355861
- introduced dkms_autoload script, which does what udevadm trigger would do:
  autoload installed modules which handle existing devices
- made dkms use dkms_autoload instead of udevadm trigger, as the latter is
  known to cause havoc, and is not used by default on the latest release
  (http://lists.us.dell.com/pipermail/dkms-devel/2009-January/000829.html)

* Wed Mar 11 2009 Pascal Terjan <pterjan@mandriva.org> 2.0.19-14mdv2009.1
+ Revision: 353735
- Try to handle dependencies between DKMS built modules

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-11mdv2009.0
+ Revision: 290345
- remove broken service symlinks (#44043)

* Fri Sep 19 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-10mdv2009.0
+ Revision: 285982
- move dkms_autoinstaller in dkms package (so that mandrake_everytime runs it only if dkms is installed)
- do not install service anymore, package it as dkms_autoinstaller (to be run by mandrake_everytime)

* Sun Aug 24 2008 Anssi Hannula <anssi@mandriva.org> 2.0.19-9mdv2009.0
+ Revision: 275558
- add X-Mandriva-Interactive into initscript in order to make dkms
  messages show up in real-time (see prcsys bug #33449)

* Tue Jul 08 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-8mdv2009.0
+ Revision: 232783
- really adapt to %%_localstatedir now being /var instead of /var/lib (to fix dkms mkrpm)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sun May 04 2008 Anssi Hannula <anssi@mandriva.org> 2.0.19-7mdv2009.0
+ Revision: 201123
- do not run slow 'status' for every module when uninstalling a module
  (uninstall-speedup.patch)

* Fri Apr 18 2008 Anssi Hannula <anssi@mandriva.org> 2.0.19-6mdv2009.0
+ Revision: 195492
- do not run version sanity check when the results are not used (P19, #40189)
- own /var/lib/dkms-binary/modulename in binary module packages
- do not print error message on binary dkms module upgrade

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 2.0.19-5mdv2009.0
+ Revision: 193582
- requires lsb-release for distribution check
- Do not store original modules at all. The previous release tried to
  restrict the check to the directly conflicting original modules (i.e.
  modules residing in the intended install path), but there was a bug (it
  referred to module install path outside module loop) that caused it to
  store modules of binary module packages as well. Also, it restored the
  modules to the default location inside /kernel instead of their original
  location, causing confusion. Should conflicting modules during
  installations happen, they are now just being overwritten instead of
  being original_module'd.

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-4mdv2008.1
+ Revision: 192227
- require the kernel package in post/preun scripts for binary packages (Anssi)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-3mdv2008.1
+ Revision: 192019
- require dkms >= 2.0.19 in the binary rpm for binary packages (Anssi)

* Wed Apr 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-2mdv2008.1
+ Revision: 191978
- require dkms-minimal >= 2.0.19 in binary packages (new binary architecture)
- use Requires instead of PreReq
- fix mkrpm exit status
- fix binary_only patch not to copy SRPMS in dkms mkrpm

  + Pascal Terjan <pterjan@mandriva.org>
    - Add MODULES_CONF_EXTRACT_ALIASES. When a module has this option set dkms
      will create /etc/modprobe.d/dkms-aliases-<module> containing
      "alias <modalias> <module>" for all the exported modalias. This allows to
      use a specific driver packages with dkms when the kernel already has a
      generic handler for the class (uvcvideo for instance).

* Tue Apr 01 2008 Olivier Blin <oblin@mandriva.com> 2.0.19-1mdv2008.1
+ Revision: 191493
- add a depmod config file to prefer modules built from source over
  binary modules, and binary modules over built-in kernel modules (#34141)
- install binary modules in /dkms-binary and modules built from source
  in /dkms (/dkms/source would get ignored by depmod since, which
  ignore all directories named "source")
- fix finding weak/binary module name when multiple versions are installed
- make dkms binary packages independant of dkms source packages (#34141):
  o use a separate /var/lib/dkms-binary tree for binary modules
  o install binary modules in /lib/modules/<kver>/dkms/binary and
    modules built from source in /lib/modules/<kver>/dkms/source
  o add a "installed-binary" status
  o add a --binary option to dkms install/uninstall commands
  o only uninstall module instead of removing dkms tree in binary
    package preun script
- package /etc/kernel/{postinst,prerm}.d helpers (to be integrated in kernel spec and bootloader-config, #32971)
- do not use custom find-provides from dkms (we have a generic kmod dependency generator in rpm-build)
- 2.0.19
- rediff binary_only and split-ver-rel patches
- hide errors when grepping through modules.dep
- support kernels with non-gzipped modules as well (#20300)
- do not redirect initscript output to /dev/console (from Frederik Himpe, #35900)
- make prebuilt dkms packages require the kernel they are built against (#38204)
- handle mnb kernels (fix suggesting -latest packages)
- default to module name/version in dkms status
- suggest kernel-devel-latest (#36524)

* Thu Mar 06 2008 Anssi Hannula <anssi@mandriva.org> 2.0.17.6-2mdv2008.1
+ Revision: 181084
- test dkms.conf existence during boot before considering a directory
  under /var/lib/dkms/foo/ to be a valid dkms module (see bug #34141)

* Mon Feb 18 2008 Olivier Blin <oblin@mandriva.com> 2.0.17.6-1mdv2008.1
+ Revision: 170660
- 2.0.17.6

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.17.5-3mdv2008.1
+ Revision: 156864
- min/max build kernel patch

* Thu Jan 10 2008 Olivier Blin <oblin@mandriva.com> 2.0.17.5-2mdv2008.1
+ Revision: 147594
- fix dkms template to handle -latest packages with rc kernel releases

* Mon Jan 07 2008 Olivier Blin <oblin@mandriva.com> 2.0.17.5-1mdv2008.1
+ Revision: 146226
- 2.0.17.5
- rediff patches
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-13mdv2008.0
+ Revision: 94906
- fix passing release to rpm template (since we use a different release for -latest package)
- restore fix-kernel-make-prepare patch, was wrongly merged with split-version-release patch

* Mon Oct 01 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-12mdv2008.0
+ Revision: 94354
- include date in release for -latest package
- make prebuilt dkms packages suggest -latest package for the same flavour
- simplify kernel latest computing

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-11mdv2008.0
+ Revision: 92776
- use only lsb-release to look for running distribution (using rpm breaks --rpm_safe_upgrade)

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-10mdv2008.0
+ Revision: 81854
- fix requires in prebuilt -latest packages (#33269)

* Fri Aug 31 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-9mdv2008.0
+ Revision: 77061
- handle new kernel naming (with dashes in version) for -latest packages

* Wed Aug 29 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-8mdv2008.0
+ Revision: 74675
- make dkms mkrpm build -latest packages
- do not make pre/post scripts fail if a dkms command fails (#30768)
- make dkms mkrpm build binary rpm package only, not source (revert to 2.0.16 behavior)
- run date with C locales
- use provided license in prebuilt dkms packages
- use lowercased "kernel" in description
- use dkms-<module name> as source package name

* Thu Aug 23 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-7mdv2008.0
+ Revision: 70161
- fix dkms mkrpm by restoring the spec template that a lamer (me) removed in 2.0.17 upgrade

* Fri Jul 06 2007 Thomas Backlund <tmb@mandriva.org> 2.0.17-6mdv2008.0
+ Revision: 49232
- require kernel-devel now as main kernel-source(-stripped) also provides it

* Mon Jun 25 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-5mdv2008.0
+ Revision: 44024
- still require kernel-source (kernel-devel is not used for main kernel yet)

* Sun Jun 24 2007 Thomas Backlund <tmb@mandriva.org> 2.0.17-4mdv2008.0
+ Revision: 43708
- fix typo in patch2 (Thanks Anssi)

* Sun Jun 24 2007 Thomas Backlund <tmb@mandriva.org> 2.0.17-3mdv2008.0
+ Revision: 43694
- modify patch7 for new kernel names
- modify patch2 for new kernel names
- require kernel-devel instead of kernel-source

* Fri Jun 22 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-2mdv2008.0
+ Revision: 42924
- add patch to get latest bash-completion support (thanks guillomovitch)

* Fri Jun 22 2007 Olivier Blin <oblin@mandriva.com> 2.0.17-1mdv2008.0
+ Revision: 42889
- remove merged fix-kernel-make-prepare patch
- use install rule from Makefile
- 2.0.17
- removed merged sources (bash_completion, norpm/pinit/pass-arch/alias_number patches)
- rediff norpm and split-version-release patches

* Tue Jun 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.0.16-4mdv2008.0
+ Revision: 41638
- use mkrel for template rpm
- s/mandrake/mandriva/ in said template

* Tue May 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.0.16-3mdv2008.0
+ Revision: 29880
- Added alias_number patch, it fixes number calculation of aliases
  inside modprobe.conf/modules.conf, previously the code was always
  setting the number 0 for alias type, even when other aliases of same
  type were used for other modules.

  + Olivier Blin <oblin@mandriva.com>
    - remove patch hunks targetting patch backup files

* Mon May 07 2007 Thomas Backlund <tmb@mandriva.org> 2.0.16-2mdv2008.0
+ Revision: 24932
- add patch9: change dkms from using the depreceated  "make prepare-all"
  to the correct "make prepare" (supported since kernel 2.6.13+), should
  fix atleast #30485, #30552...


* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 2.0.16-1mdv2007.0
+ Revision: 126888
- 2.0.16

* Tue Feb 27 2007 Olivier Blin <oblin@mandriva.com> 2.0.15-1mdv2007.1
+ Revision: 126226
- 2.0.15 (fix #27985)

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.13-4mdv2007.1
+ Revision: 108845
- update base completion

  + Nicolas Lécureuil <neoclust@mandriva.org>

  + Olivier Blin <oblin@mandriva.com>
    - bunzip2 patches
    - Import dkms

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.13-3mdv2007.0
- bash completion
- clean file list

* Sat Aug 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.13-2mdv2007.0
- handle default, legacy & xen0 kernels

* Fri Jun 30 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.0.13-1
- 2.0.13

* Fri Jun 16 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.0.11.1-1mdk
- 2.0.11.1

* Fri Mar 31 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.11-1mdk
- 2.0.11

* Wed Mar 22 2006 Buchan Milne <bgmilne@mandriva.org> 2.0.10-2mdk
- split version into version and release (pass to rpm) if it contains "_" (p8),
  use release if it is passed frm dkms (S1), fixes bug #21546
- also make S1 easier to read

* Sun Mar 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-1mdk
- 2.0.10

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.0.9-4mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 2.0.9-3mdk
- Patch5: parallel init support

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 2.0.9-2mdk
- from Pascal Terjan:
  o Patch7: use /proc/config.gz or /boot/config-<VERSION> if available (#16411)

* Sun Dec 18 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9
- rediffed patch3

* Mon Nov 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-2mdk
- replace a Mandrake occurence

* Fri Nov 11 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-1mdk
- 2.0.8

* Thu Sep 08 2005 Olivier Blin <oblin@mandriva.com> 2.0.5.9-3mdk
- update Patch1 so that the dkms service uses i586 for x86 too

* Thu Sep 08 2005 Olivier Blin <oblin@mandriva.com> 2.0.5.9-2mdk
- update Patch1 to use i586 as default arch for ix86,
  when --rpm_safe_upgrade is used

* Tue Aug 09 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.5.9-1mdk
- 2.0.5.9 (testing)
- drop patch 5, it caused original modules being lost

* Tue Jun 21 2005 Frederic Lepied <flepied@mandriva.com> 2.0.5-5mdk
- requires patch

* Fri Jun 03 2005 Frederic Lepied <flepied@mandriva.com> 2.0.5-4mdk
- fix bug #15506 (Angelo Naselli)

* Tue Feb 22 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.5-3mdk
- fix build of dkms packages for Mandrakelinux

* Wed Feb 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.5-2mdk
- patch (p5) to find gzip-ed modules during install (so that we actually
  find original modules and archive them)

* Thu Jan 27 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.0.5-1mdk
- New release 2.0.5

* Tue Dec 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-1mdk
- New release 2.0.4

* Sat Dec 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Fri Nov 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.2-2mdk
- fix initscript to not use rpm

* Thu Nov 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Fri Oct 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-7mdk
- compressed module support (p4)

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-6mdk
- fix version_checker() function

* Wed Sep 15 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-5mdk
- fix init script (p1)

* Tue Sep 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-4mdk
- remove "Requires: kernel = ${kernel}" in template-dkms-mkrpm.spec for the moment.

* Sat Sep 04 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-3mdk
- config_arch = uname -m as default.

* Fri Sep 03 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-2mdk
- mdkize compatible with distro above 10.1.
- fix mdkize, remember mandrakelinux at start is based on a redhat distro.
- mkrpm fixes (rpmbuild check and local language workaround). (flepied)
- updated spec file template to conform to Mandrakelinux usage and to
depend only on dkms-minimal. (flepied)

* Fri Sep 03 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0.
- full mdk kernel support.

* Sun Aug 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.95.32-1mdk
- 1.95.32
- drop P1 and P2 (merged upstream)
- don't run rpm at all with --rpm_safe_upgrade (P1)
- ship original template spec file

* Sat Jul 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.94.16-1mdk
- 1.94.16
- fix kernel preparation (p1)
- fix to mkrpm to allow running as non-root (depending on spec file) (p1)
- fixes spec file to do mktarball (p2)
- add custom template spec file that allows build as non-root using
  mandrake-stlye sinlge-kernel-per rpm

* Sun Jun 27 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.93.14-1mdk
- 1.93.14
- move dkmsdir to /var/lib
- drop patches integrated upstream

* Thu Jun 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.10-2mdk
- add mkrpm command

* Tue Jun 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.10-1mdk
- 1.10

* Mon Jun 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.05-1mdk
- Mandrake adaptions

